#!/usr/bin/perl -pi
use strict;

# This converts a single icon file (.svg) from breeze color theme to breeze-dark color theme.
# Make sure that you call this on only one single icon file, and only once per file!
# Make sure that you don’t call this on symlinks or paths with symlinks!

# No need to change background color or so, breeze-icon-cleaner doesn't generate that.
s/#232629/#colorschemetext/g;
s/#4d4d4d/#colorschemewhatever/g;
s/#eff0f1/#colorschemebackground/g;
s/#fcfcfc/#colorschemeviewbackground/g;

s/#colorschemetext/#eff0f1/g;
s/#colorschemewhatever/#f2f2f2/g;
s/#colorschemebackground/#31363b/g;
s/#colorschemeviewbackground/#232629/g; # Was #4f575f, which appears to be wrong according to icon workflow tips
